Subject: bug#8400: 24.0.50; Strange selection behavior in Gnus Article buffer

From: David De La Harpe Golden <[email-masked]>
Date: Mon, 04 Apr 2011 15:27:18 +0100

On 04/04/11 12:51, Eli Zaretskii wrote:
>> From: Lars Magne Ingebrigtsen<[email-masked]>
>> Newsgroups: gnu.emacs.bug
>> Date: Mon, 04 Apr 2011 11:24:55 +0200
>> Mail-Copies-To: never
>>
>> Eli Zaretskii<[email-masked]>  writes:
>>
>>> So what is the bug? that C-y gave you PRIMARY or that it was different
>>> from the kill ring and the clipboard?
>>
>> The bug is that `C-y' gives me a text I didn't `M-w'.
>
> That's the documented effect of setting x-select-enable-primary to a
> non-nil value, AFAIK.  I think we can close this bug, then.
>

Yeah. If x-select-enable-primary is non-nil, then as well as C-y getting 
from primary, C-w/M-w also set primary. However, if you've also asked 
for primary to be set by some other means and used those other means, 
then C-y will sometimes quite correctly give you the text from primary 
that got there by means other than M-w.

I still haven't quite convinced myself that the text Stephen Berman was 
getting with his mix of settings was the expected one even given those 
settings. But on the whole, I think the main bug here was the docs bug.